# $Id: deriv1f.r,v 1.4 2016/03/15 06:03:12 rolf Exp rolf $
subroutine deriv1f(fy,xlam,y,ymiss,dmat,nind,kstate,npar,nphi,d1f)
implicit double precision(a-h,o-z)
integer ymiss
dimension fy(kstate), xlam(kstate), dmat(nphi,nind)
dimension d1f(kstate,npar)

zero = 0.d0
npro = kstate*(kstate-1)

do i = 1,kstate {
	do j = 1,npar {
		d1f(i,j) = zero
	}
}

if(ymiss > 0) return

one  = 1.d0
do i = 1,kstate {
	do j = 1,nphi {
		dlam = xlam(i)*dmat(j,i)
		d1f(i,j+npro) = (y/xlam(i) - one)*dlam*fy(i)
	}
}

return
end
