\name{hglmm-internal}
\alias{hglmm-internal}
\alias{breaker}
\alias{derivpi}
\alias{derivp}
\alias{est.tpm}
\alias{fix.rho}
\alias{fix.tpm}
\alias{get.gl}
\alias{get.hgl}
\alias{get.l}
\alias{hglmm.bf}
\alias{hglmm.em}
\alias{hglmm.lm}
\alias{hglmm.nl}
\alias{init.all}
\alias{lmstep}
\alias{newstep}
\alias{recurse}
\alias{revise.ispd}
\alias{revise.model}
\alias{revise.tpm}
\alias{sim.mlt}
\alias{sim.sngl}
\alias{steepest}
\title{Internal hglmm functions.}
\description{
  Internal hglmm functions.
}
\usage{
breaker(y, K) 
derivp(npar, K, rho = NULL, expo = FALSE) 
derivpi(ispd, tpm, npar, dp) 
est.tpm(states, K, mixture = FALSE) 
fix.rho(tpm) 
fix.tpm(x, K, expo) 
get.gl(theta, K, X, y, cf) 
get.hgl(theta, K, X, y, cf) 
get.l(theta, K, X, y, cf) 
hglmm.em(formula, data, K, theta, expo = TRUE, mixture = FALSE, 
    itmax = 200, crit = "CLL", tolerance = NULL, overpar=FALSE, digits = NULL, 
    verbose = FALSE) 
hglmm.bf(formula,data,K,theta,mixture=FALSE,itmax=200,
         tolerance=NULL,overpar=FALSE,digits=NULL,verbose=FALSE)
hglmm.lm(formula, data, K, theta, lmc = 10, mixture = FALSE,
         itmax = 200, crit, tolerance = NULL, overpar=FALSE,
         digits = NULL, verbose = FALSE)
hglmm.nl(formula, data, K, theta, mixture = FALSE,
         itmax = 200, tolerance = NULL, overpar=FALSE, use.anal=FALSE,
         ca=FALSE, verbose = FALSE)
init.all(formula, data, K = NULL, par0 = NULL, mixture = FALSE, breaks
         = NULL,expo = FALSE)
lmstep(theta, K, X, y, cf, lmc) 
newstep(theta, K, X, y, cf) 
recurse(fy, tpm, cf, epsilon, mixture = FALSE) 
revise.ispd(tpm) 
revise.model(formula,data,overpar=FALSE) 
revise.tpm(xi, mixture)
sim.mlt(formula, data, ispd, tpm, phi, miss.frac = 0) 
sim.sngl(blp, ispd, tpm, mf) 
steepest(K, X, y, cf, theta) 
}
\details{
  These functions are auxilliary and are not intended to be called by
  the user.
}
\keyword{internal}
