reorder.hglmm <- function(x,...) {
parz <- x$params
phi  <- parz$phi
isay <- grep("state",names(phi))
say  <- phi[isay]
o    <- order(say,decreasing=TRUE)
parz$tpm  <- parz$tpm[o,o]
parz$ispd <- parz$ispd[o]
say       <- say[o]
parz$phi[isay] <- say
if(!is.null(parz$phi.over)) {
    parz$phi.over$state <- parz$phi.over$state[o]
}
if(!is.null(parz$phi.em)) {
    parz$phi.em$state <- parz$phi.em$state[o]
}
if(!is.null(parz$phi.em.over)) {
    parz$phi.em.over$state <- parz$phi.em.over$state[o]
}
x$params <- parz
tis <- grep("state",names(x$theta))
x$theta[tis] <- x$theta[tis[o]]
his <- grep("state",rownames(x$hessian))
x$hessian[his,his] <- x$hessian[his[o],his[o]]
gis <- grep("state",names(x$grad))
x$grad[gis] <- x$grad[gis[o]]
X   <- with(x,model.matrix(formula[-2],data=data))
lam <- exp(X%*%with(x,params$phi))
y   <- with(x,data[,as.character(formula)[2]])
fy  <- dpois(y,lam)
fy[is.na(y)] <- 1
x$lam <- lam
x$fy  <- fy
x
}
